Rated 4 out of 5 stars

Thanks for answering. It says, when trying to add the Add-On to Thunderbird via the Add-On manager online that it is not compatible with TB 17.0.2. However, when I downloaded it and added it manually as an xpi file all went well and it appears to be working. Not sure why TB gave it a "non compatible" - but it did.

Pitty ... Rated 1 out of 5 stars

... this is not continued. It might just be worth downgrading TB for that ....
It was very useful. Thank you for the use of it as long as it lasted.

The spell checker should be automatically updated. Can you give us a picture of what isn't happening?